org.acplt.oncrpc

## Class XdrByte

- java.lang.Object
- - org.acplt.oncrpc.XdrByte

All Implemented Interfaces:
  XdrAble

    public class XdrByte
    extends java.lang.Object
    implements XdrAble

Instances of the class `XdrByte` represent (de-)serializeable bytes, which are especially useful in cases where a result with only a single byte is expected from a remote function call or only a single byte parameter needs to be supplied.

Please note that this class is somewhat modelled after Java's primitive data type wrappers. As for these classes, the XDR data type wrapper classes follow the concept of values with no identity, so you are not allowed to change the value after you've created a value object.

Version:
  $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:43 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Field Summary

Fields
`private byte` `value` The encapsulated byte value itself.

### Constructor Summary

Constructors
Constructor and Description
`XdrByte()` Constructs and initializes a new `XdrByte` object.
`XdrByte(byte value)` Constructs and initializes a new `XdrByte` object.

### Method Summary

Methods
`byte` `byteValue()` Returns the value of this `XdrByte` object as a byte primitive.
`void` `xdrDecode(XdrDecodingStream xdr)` Decodes -- that is: deserializes -- a XDR byte from a XDR stream in compliance to RFC 1832.
`void` `xdrEncode(XdrEncodingStream xdr)` Encodes -- that is: serializes -- a XDR byte into a XDR stream in compliance to RFC 1832.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    private byte value

The encapsulated byte value itself.

### Constructor Detail

#### XdrByte

    public XdrByte(byte value)

Constructs and initializes a new `XdrByte` object.

Parameters:
  `value` - Byte value.

#### XdrByte

    public XdrByte()

Constructs and initializes a new `XdrByte` object.

### Method Detail

#### byteValue

    public byte byteValue()

Returns the value of this `XdrByte` object as a byte primitive.

Returns:
  The primitive `byte` value of this object.

#### xdrEncode

    public void xdrEncode(XdrEncodingStream xdr)
                   throws OncRpcException,
                          java.io.IOException

Encodes -- that is: serializes -- a XDR byte into a XDR stream in compliance to RFC 1832.

Specified by:
  `xdrEncode` in interface `XdrAble`
Parameters:
  `xdr` - XDR stream to which information is sent for encoding.
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `java.io.IOException` - if an I/O error occurs.

#### xdrDecode

    public void xdrDecode(XdrDecodingStream xdr)
                   throws OncRpcException,
                          java.io.IOException

Decodes -- that is: deserializes -- a XDR byte from a XDR stream in compliance to RFC 1832.

Specified by:
  `xdrDecode` in interface `XdrAble`
Parameters:
  `xdr` - XDR stream from which decoded information is retrieved.
Throws:
  `OncRpcException` - if an ONC/RPC error occurs.
  `java.io.IOException` - if an I/O error occurs.